attribute vec4 a_position;
attribute vec2 a_texcoord_0;

varying vec2 v_texcoord_0;
varying vec4 v_texcoord_blur_1;

uniform mat4 u_mtx_modelviewproj;
uniform vec3 u_vec3_offset;

const vec2 c_offsets = vec2( -1.0, 1.0 );

#define OFFSET_1_BEFORE c_offsets.x
#define OFFSET_1_AFTER  c_offsets.y

void main()
{
	gl_Position = u_mtx_modelviewproj * a_position;
	
	// Texture coordinates before center sample.
	v_texcoord_blur_1.xy = u_vec3_offset.xy * OFFSET_1_BEFORE + a_texcoord_0;
	
	// Texture coordinates for center sample.
	v_texcoord_0 = a_texcoord_0;
	
	// Texture coordinates after center sample.
	v_texcoord_blur_1.zw = u_vec3_offset.xy * OFFSET_1_AFTER  + a_texcoord_0;
}
