precision mediump float;

varying vec2 v_texcoord_0;
varying vec4 v_texcoord_blur_1;
varying vec4 v_texcoord_blur_2;

uniform sampler2D s_diffuse;

const vec2 c_blur_weights = vec2( 1.0 / 3.0, 2.0 / 3.0 );

#define WEIGHT2 c_blur_weights.x
#define WEIGHT1 c_blur_weights.y

void main()
{
	vec4 color;
	
	color  = texture2D(s_diffuse, v_texcoord_blur_2.xy) * WEIGHT2;
	color  = texture2D(s_diffuse, v_texcoord_blur_1.xy) * WEIGHT1 + color;
	color += texture2D(s_diffuse, v_texcoord_0);
	color  = texture2D(s_diffuse, v_texcoord_blur_1.zw) * WEIGHT1 + color;
	color  = texture2D(s_diffuse, v_texcoord_blur_2.zw) * WEIGHT2 + color;
	
	gl_FragColor = color * 0.3;
}
